<template>
    <main id="home">

        <v-row align="center" class="d-flex flex-row-reverse" id="section-1">
            <v-col cols="12" md="12" class="text-first">
                <p class="title-top" v-html="$t('home.section1.title')"></p>
                <strong class="description" v-html="$t('home.section1.description')"></strong>
                <p class="english-text" v-html="$t('home.section1.producers')"></p>
                <p>وبلاگ خودت رو بساز !</p>
            </v-col>
        </v-row>

    </main>
</template>

<script>

export default {

    data() {
        return {}
    },
    methods: {},

}
</script>

<style lang="scss" scoped>

.title {
    font-family: Dana;
    font-size: 50px !important;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: -2.43px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: #ffffff;
    @media #{map-get($display-breakpoints, 'sm-and-down')} {
        font-size: 28px !important;
    }
}

#section-1 {
    padding-top: 137px;
    padding-bottom: 26px;

    .text-first {
        text-align: center;
        margin-bottom: 170px;

        @media #{map-get($display-breakpoints, 'sm-and-down')} {
            margin-bottom: 85px;
        }

        .title-top {
            text-align: center;
            font-size: 56px !important;
            margin-bottom: 0px !important;
        }

        .description {
            font-size: 86px !important;
            font-weight: 900 !important;
        }

        .english-text {
            text-transform: uppercase;
            font-size: 30px;
            font-weight: 500;
        }

    }

    .text-second {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-bottom: 45px;
    }


}

#section-2 {
    margin-top: 297px;
    margin-bottom: 211px;
    margin-top: 297px;
    margin-bottom: 211px;
    display: block;
    height: 100%;
    background-size: cover;

    @media #{map-get($display-breakpoints, 'sm-and-down')} {
        margin-top: 95px;
    }

    .box-description {
        position: relative;

        .description {

            font-size: 34px;
            font-weight: 300;
            line-height: 1.6;
            letter-spacing: -0.43px;
            text-align: center;

            @media #{map-get($display-breakpoints, 'sm-and-down')} {
                font-size: 20px;
            }
        }

        .box-first-right {
            position: absolute;
            background-color: #FFFFFF;
            display: flex;
            width: 35%;
            height: 26%;
            top: -32%;
            right: -15%;

            &.one {
                display: flex;
                background-color: #fff;
                width: 4%;
                height: 4%;
                position: absolute;
                top: -10%;
            }
        }

        .box-second-right {
            position: absolute;
            background-color: #FFFFFF;
            display: flex;
            width: 37%;
            height: 28%;
            top: 19%;
            right: -44%;
        }

        .box-third-right {
            position: absolute;
            background-color: #FFFFFF;
            display: flex;
            width: 22%;
            height: 18%;
            top: 65%;
            right: -32%;
        }

        .box-first-left {
            position: absolute;
            background-color: #FFFFFF;
            display: flex;
            width: 29%;
            height: 25%;
            top: -35%;
            left: -12%;
        }

        .box-second-left {
            position: absolute;
            background-color: #FFFFFF;
            display: flex;
            width: 25%;
            height: 28%;
            top: 15%;
            left: -40%;
        }

        .box-third-left {
            position: absolute;
            background-color: #FFFFFF;
            display: flex;
            width: 10%;
            height: 16%;
            top: 61%;
            left: -26%;
        }

        .box-fourth-left {
            position: absolute;
            background-color: #FFFFFF;
            display: flex;
            width: 17%;
            height: 13%;
            top: 93%;
            left: -18%;

        }
    }

}

#section-3 {
    .title {
        margin-bottom: 50px;
    }

    #problems {

        .problems-title {
            font-family: Dana;
            font-size: 30px;
            font-weight: bold;
            font-stretch: normal;
            font-style: normal;
            line-height: normal;
            letter-spacing: -0.5px;
            text-align: right;
            color: #e5e5e5;
            display: block;
            margin-top: 10px;
            margin-bottom: 8px;


            @media #{map-get($display-breakpoints, 'sm-and-down')} {
                font-size: 14px;
            }
        }

        .problems-english {
            opacity: 0.2;
            font-family: Dana;
            font-size: 18px;
            font-style: normal;
            line-height: 1.33;
            letter-spacing: 4px;
            text-align: right;
            color: #ffffff;
            margin-bottom: 22px;
        }

        .problems-description {
            font-family: Dana;
            font-size: 20px;
            font-weight: 300;
            font-stretch: normal;
            font-style: normal;
            line-height: 1.39;
            letter-spacing: -0.43px;
            text-align: right;
            color: #b4bcd1;

            @media #{map-get($display-breakpoints, 'sm-and-down')} {
                font-size: 14px;
            }
        }
    }
}

#section-4 {

    .title {
        margin-bottom: 50px;
        margin-top: 20px;
    }

}

#section-5 {
    margin-top: 190px;


    @media #{map-get($display-breakpoints, 'sm-and-down')} {
        margin-top: 70px;
    }

    .box-sponser {
        @media #{map-get($display-breakpoints, 'sm-and-down')} {
            flex-flow: wrap;
        }
    }

    .title {
        letter-spacing: -2.43px;
        text-align: right;
        color: #ffffff;
        font-size: 40px !important;
        font-weight: normal !important;
        justify-content: flex-start;
        margin-bottom: 39px;

        @media #{map-get($display-breakpoints, 'sm-and-down')} {
            margin-bottom: 0px;
            font-size: 30px !important;
        }
    }

    .box-date {
        padding: 26px 42px 14px 33px;
        background-color: #36415e;
        margin: 109.4px 16px 33px 20px;

        @media #{map-get($display-breakpoints, 'md-and-down')} {
            display: inline-grid;
            justify-content: center;
            margin: 2.4px 16px 33px 16px;
        }


        .des {
            font-size: 20px;
            font-weight: 500;
            opacity: 0.3;
            letter-spacing: -0.43px;
            text-align: right;
            color: #ffffff;
            margin-top: 25px;

            @media #{map-get($display-breakpoints, 'md-and-down')} {
                text-align: center;
            }
        }

        .title-box {
            letter-spacing: -0.43px !important;
            text-align: right;
            color: #ffffff;
            font-size: 30px !important;
            font-weight: normal !important;
            justify-content: flex-start;

            @media #{map-get($display-breakpoints, 'md-and-down')} {
                text-align: center;
                font-size: 28px !important;
            }
        }

        .img-box {
            height: 60px;
            align-items: center;
            display: flex;
            @media #{map-get($display-breakpoints, 'md-and-down')} {
                justify-content: center;
            }
        }
    }

    .box-text {
        .title {
            font-weight: 900 !important;
        }

        .second-text {
            font-size: 38px;
            font-weight: 300;
            letter-spacing: -2.43px;

            @media #{map-get($display-breakpoints, 'sm-and-down')} {
                margin-top: 20px;
                font-size: 28px;
            }
        }

        .btn-register {
            margin-bottom: 200px;
            width: 300px;
            height: 80px !important;
            margin-top: 25px;
            border-radius: 0px !important;
            padding: 21px 24.9px 13.8px 38.2px;

            @media #{map-get($display-breakpoints, 'sm-and-down')} {
                width: 100%;
            }

            span {
                color: #313c57;
                font-size: 20px;
                font-weight: 900;
            }
        }
    }


}
</style>
